Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Class Lifecycle

    java.lang.Object
      org.jboss.seam.contexts.Lifecycle

    public class Lifecycle

extends Object

Version:
  $Revision: 4295 $
Author:
  Gavin King, Thomas Heute

Constructor Summary
`Lifecycle()`

Method Summary
`static void` | `beginCall()`
`static void` | `beginExceptionRecovery(javax.faces.context.ExternalContext externalContext)`
`static void` | `beginInitialization(javax.servlet.ServletContext servletContext)`
`static Context` | `beginMethod()`
`static void` | `beginReinitialization(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpSession session)`
`static void` | `beginRequest(javax.faces.context.ExternalContext externalContext)`
`static void` | `beginRequest(javax.servlet.ServletContext servletContext, javax.servlet.http.HttpSession session, javax.servlet.ServletRequest request)`
`static void` | `beginSession(javax.servlet.ServletContext servletContext, ContextAdaptor session)` Instantiate @Startup components for session scoped component
`static void` | `destroyConversationContext(ContextAdaptor session, String conversationId)`
`static void` | `endApplication(javax.servlet.ServletContext servletContext)`
`static void` | `endCall()`
`static void` | `endInitialization()`
`static void` | `endMethod(Context context)`
`static void` | `endRequest()`
`static void` | `endRequest(javax.faces.context.ExternalContext externalContext)`
`static void` | `endRequest(javax.servlet.http.HttpSession session)`
`static void` | `endSession(javax.servlet.ServletContext servletContext, ContextAdaptor session)`
`static javax.faces.event.PhaseId` | `getPhaseId()`
`static javax.servlet.ServletContext` | `getServletContext()`
`static javax.servlet.ServletRequest` | `getServletRequest()`
`static boolean` | `isAttributeDirty(Object attribute)`
`static boolean` | `isDestroying()`
`static void` | `mockApplication()`
`static void` | `resumeConversation(javax.faces.context.ExternalContext externalContext)`
`static void` | `resumeConversation(javax.servlet.http.HttpSession session)`
`static void` | `resumePage()`
`static void` | `setPhaseId(javax.faces.event.PhaseId phase)`
`static void` | `setServletContext(javax.servlet.ServletContext servletContext)`
`static void` | `setServletRequest(javax.servlet.ServletRequest servletRequest)`
`static void` | `startDestroying()`
`static void` | `stopDestroying()`
`static void` | `unmockApplication()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lifecycle

    public Lifecycle()

Method Detail

### beginRequest

    public static void beginRequest(javax.faces.context.ExternalContext externalContext)

### beginRequest

    public static void beginRequest(javax.servlet.ServletContext servletContext,
                                    javax.servlet.http.HttpSession session,
                                    javax.servlet.ServletRequest request)

### beginCall

    public static void beginCall()

### endCall

    public static void endCall()

### mockApplication

    public static void mockApplication()

### unmockApplication

    public static void unmockApplication()

### beginMethod

    public static Context beginMethod()

### endMethod

    public static void endMethod(Context context)

### beginInitialization

    public static void beginInitialization(javax.servlet.ServletContext servletContext)

### beginReinitialization

    public static void beginReinitialization(javax.servlet.ServletContext servletContext,
                                             javax.servlet.http.HttpSession session)

### beginExceptionRecovery

    public static void beginExceptionRecovery(javax.faces.context.ExternalContext externalContext)

### endInitialization

    public static void endInitialization()

### endApplication

    public static void endApplication(javax.servlet.ServletContext servletContext)

### beginSession

    public static void beginSession(javax.servlet.ServletContext servletContext,
                                    ContextAdaptor session)

  Instantiate @Startup components for session scoped component

### endSession

    public static void endSession(javax.servlet.ServletContext servletContext,
                                  ContextAdaptor session)

### endRequest

    public static void endRequest(javax.faces.context.ExternalContext externalContext)

### endRequest

    public static void endRequest()

### endRequest

    public static void endRequest(javax.servlet.http.HttpSession session)

### resumePage

    public static void resumePage()

### resumeConversation

    public static void resumeConversation(javax.faces.context.ExternalContext externalContext)

### resumeConversation

    public static void resumeConversation(javax.servlet.http.HttpSession session)

### getPhaseId

    public static javax.faces.event.PhaseId getPhaseId()

### setPhaseId

    public static void setPhaseId(javax.faces.event.PhaseId phase)

### getServletContext

    public static javax.servlet.ServletContext getServletContext()

### setServletContext

    public static void setServletContext(javax.servlet.ServletContext servletContext)

### getServletRequest

    public static javax.servlet.ServletRequest getServletRequest()

### setServletRequest

    public static void setServletRequest(javax.servlet.ServletRequest servletRequest)

### startDestroying

    public static void startDestroying()

### stopDestroying

    public static void stopDestroying()

### isDestroying

    public static boolean isDestroying()

### isAttributeDirty

    public static boolean isAttributeDirty(Object attribute)

### destroyConversationContext

    public static void destroyConversationContext(ContextAdaptor session,
                                                  String conversationId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD